For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
BlogLog InRequest Demo
HomeProductDevelopersSelf-HostingChangelog
HomeProductDevelopersSelf-HostingChangelog
  • Getting Started
    • Overview
  • Workflows SDK
    • Introduction
    • Installation
    • Core Concepts
    • Defining Control Flow
    • Configuration
    • Custom Docker Images
  • Client SDK
    • Introduction
    • Authentication
    • API Versioning
      • POSTExecute Prompt
      • STREAMExecute Prompt as Stream
      • POSTSubmit Prompt Execution Actuals
      • POSTRetrieve Provider Payload
LogoLogo
BlogLog InRequest Demo
Client SDKPrompts

Submit Prompt Execution Actuals

GA
POST
https://predict.vellum.ai/v1/submit-completion-actuals
POST
/v1/submit-completion-actuals
1import requests
2
3url = "https://predict.vellum.ai/v1/submit-completion-actuals"
4
5payload = { "actuals": [{}] }
6headers = {
7 "X-API-KEY": "<apiKey>",
8 "Content-Type": "application/json"
9}
10
11response = requests.post(url, json=payload, headers=headers)
12
13print(response.json())
1{}
Used to submit feedback regarding the quality of previously generated completions.
Was this page helpful?
Previous

Retrieve Provider Payload

Next
Built with

Authentication

X-API-KEYstring
API Key authentication via header

Headers

X-API-VersionstringOptional

Request

This endpoint expects an object.
actualslist of objectsRequired
Feedback regarding the quality of previously generated completions
deployment_idstring or nullOptionalformat: "uuid"

The ID of the deployment. Must provide either this or deployment_name.

deployment_namestring or nullOptional>=1 character

The name of the deployment. Must provide either this or deployment_id.

Response

No response body

Errors

400
Bad Request Error
404
Not Found Error
500
Internal Server Error